INSTALL: Add "satisfy prerequisites" section
authorAlexander Barton <alex@barton.de>
Fri, 18 May 2012 22:45:23 +0000 (00:45 +0200)
committerAlexander Barton <alex@barton.de>
Fri, 18 May 2012 22:45:23 +0000 (00:45 +0200)
Include information for RedHat/Fedora and Debian/Ubuntu based
Linux distributions.

INSTALL

diff --git a/INSTALL b/INSTALL
index 45ebe99..4e1cd2f 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -93,7 +93,8 @@ automake ("configure") should be no problem.
 The normal installation procedure after getting (and expanding) the source
 files (using a distribution archive or GIT) is as following:
 
-  1) ./autogen.sh      [only necessary when using GIT]
+  0) Satisfy prerequisites
+  1) ./autogen.sh  [only necessary when using GIT]
   2) ./configure
   3) make
   4) make install
@@ -114,6 +115,30 @@ possible options will be installed there. You'll find its template in the
 doc/ directory: sample-ngircd.conf.
 
 
+0): Satisfy prerequisites
+
+When building from source, you'll need some other software to build ngIRCd:
+for example a working C compiler, make tool, GNU automake and autoconf (only
+when not using a distribution archive), and a few libraries depending on the
+features you want to compile in (like IDENT support, SSL, and PAM).
+
+If you are using one of the "big" operating systems or Linux distributions,
+you can use the following commands to install all the required packages to
+build the sources including all optional features and to run the test suite:
+
+* RedHat / Fedora based distributions:
+
+  yum install \
+    autoconf automake expect gcc glibc-devel gnutls-devel \
+    libident-devel make pam-devel tcp_wrappers-devel telnet zlib-devel
+
+* Debian / Ubuntu based distributions:
+
+  apt-get install \
+    autoconf automake build-essential expect libgnutls-dev \
+    libident-dev libpam-dev libwrap0-dev libz-dev telnet
+
+
 1): "autogen.sh"
 
 The first step, autogen.sh, is only necessary if the configure-script isn't